using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsWorkCodeDetailType {
        public FmsWorkCodeDetailType() {
        }

        [Key]
        public int WorkDetailTypeId { get; set; }
        public int WorkTypeId { get; set; }
        [StringLength(20)]
        public string Code { get; set; }
        [Required]
        [StringLength(50)]
        public string Name { get; set; }
        [StringLength(512)]
        public string Description { get; set; }

        public bool? IsUse { get; set; }

        [ForeignKey(nameof(WorkTypeId))]
        public virtual FmsWorkCodeType FmsWorkCodeType { get; set; }
    }
}
